Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jan 2013 17:05:54 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Date: Fri, 25 Jan 2013 15:08:50 +0100
> 
> >> And, what's even more surprising, is the second error: when wanting to save a
> >> draft copy of the email (as I couldn't send it), with C-c C-d, I've got the
> >> error:
> >> 
> >> --8<---------------cut here---------------start------------->8---
> >> basic-save-buffer-2: IO error writing d:/Users/sva/.gnus.d/drafts/drafts/2:
> >> Socket operation on non-socket
> >> --8<---------------cut here---------------end--------------->8---
> >
> > Is this all repeatable, or did it happen just once?
> 
> FYI, the _first_ time I press `C-c C-d', I get the above. The second time, not
> anymore, and the draft is correctly saved: I quit Emacs, restart it, and send
> straight away my email.

Sorry, I don't understand: is the "second time" in the same Emacs
session, or after restarting?  If the former, does the draft get saved
to the same file d:/Users/sva/.gnus.d/drafts/drafts/2 as in the first
attempt?  Also, does "first time" mean first time after the laptop
awakes from sleep mode?  If so, can you wait a little longer before
you try this, perhaps the disk did not yet have chance to spin up.

In any case, I'm sure that the "Socket operation on non-socket" part
is a red herring: write-region is not careful to zero out errno before
the operations it wants to diagnose, so the value is probably coming
from some entirely irrelevant interim error.  What is important is
that write-region _does_ fail in one of these operations, the question
is which one?